unit MsgIDs;

{
  Inno Setup
  Copyright (C) 1998-2000 Jordan Russell
  For conditions of distribution and use, see LICENSE.TXT.

  Message identifiers (1.3.14)
}

interface

{ Note: When any messages are added/deleted/changed, MessagesHdrID needs to be
  updated in Struct.pas }

type
  TSetupMessageID = (
    msg_CopyrightFont,
    msg_DialogFont,
    msg_WelcomeFont, 
    msg_TitleFont,
    msgAboutSetupMenuItem,
    msgAboutSetupMessage,
    msgAboutSetupNote,
    msgAboutSetupTitle,
    msgAdminPrivilegesRequired,
    msgBadDirName16,
    msgBadDirName32,
    msgBadGroupName,
    msgBeveledLabel,
    msgButtonBack,
    msgButtonBrowse,
    msgButtonCancel,
    msgButtonFinish,
    msgButtonInstall,
    msgButtonNext,
    msgButtonNo,
    msgButtonNoToAll,
    msgButtonOK,
    msgButtonYes,
    msgButtonYesToAll,
    msgChangeDiskTitle,
    msgClickFinish,
    msgClickNext,
    msgClickNextModern, 
    msgCompactInstallation,
    msgComponentSize1,
    msgComponentSize2,
    msgConfirmDeleteSharedFile2,
    msgConfirmDeleteSharedFileTitle,
    msgConfirmTitle,
    msgConfirmUninstall,
    msgCustomInstallation, 
    msgDefaultUninstallIconName,
    msgDirDoesntExist,
    msgDirDoesntExistTitle,
    msgDirectoryNew,
    msgDirectoryOld,
    msgDirExists,
    msgDirExistsTitle,
    msgDiskSpaceMBLabel,
    msgDiskSpaceWarning,
    msgDiskSpaceWarningTitle,
    msgEntryAbortRetryIgnore,
    msgErrorChangingAttr,
    msgErrorCopying,
    msgErrorCreatingDir,
    msgErrorCreatingTemp,
    msgErrorDDECommandFailed,
    msgErrorDDEExecute,
    msgErrorDDERequest,
    msgErrorExecutingProgram,
    msgErrorFunctionFailed,
    msgErrorFunctionFailedNoCode,
    msgErrorFunctionFailedWithMessage,
    msgErrorIniEntry,
    msgErrorInternal,
    msgErrorOpeningReadme,
    msgErrorReadingExistingDest,
    msgErrorReadingSource,
    msgErrorRegCreateKey,
    msgErrorRegisterServer,
    msgErrorRegisterServerMissingExport,
    msgErrorRegisterTypeLib,
    msgErrorRegOpenKey,
    msgErrorRegWriteKey,
    msgErrorRenamingTemp,
    msgErrorReplacingExistingFile,
    msgErrorRestartingComputer,
    msgErrorRestartReplace,
    msgErrorThunk,
    msgErrorTitle,
    msgErrorTooManyFilesInDir,
    msgExistingFileNewer,
    msgExistingFileReadOnly,
    msgExitSetupMessage,
    msgExitSetupTitle,
    msgFileAbortRetryIgnore,
    msgFileAbortRetryIgnore2,
    msgFileExists,
    msgFileNotInDir,
    msgFinishedLabel,
    msgFinishedLabelNoIcons,
    msgFinishedRestartLabel,
    msgFinishedRestartMessage, 
    msgFullInstallation, 
    msgIconsLabel,
    msgIncorrectPassword,
    msgInfoAfterClickLabel,
    msgInfoAfterLabel,
    msgInfoBeforeClickLabel,
    msgInfoBeforeLabel,
    msgInformationTitle,
    msgInstallingLabel, 
    msgInvalidDrive,
    msgInvalidPath,
    msgLastErrorMessage,
    msgLdrCannotCreateTemp,
    msgLdrCannotExecTemp,
    msgLicenseLabel,
    msgLicenseLabel1,
    msgLicenseLabel2,
    msgMustEnterGroupName,
    msgNoIconsCheck,
    msgNoRadio,
    msgNotOnThisPlatform,
    msgNoUninstallWarning, 
    msgNoUninstallWarningTitle, 
    msgOnlyAdminCanUninstall,
    msgOnlyOnThisPlatform,
    msgPasswordEditLabel,
    msgPasswordLabel, //ignored by ISX but still present to support Default.isl
    msgPasswordLabel1,
    msgPasswordLabel2,
    msgPathLabel,
    msgProgramManagerNew,
    msgProgramManagerOld,
    msgReadyLabel1,
    msgReadyLabel2a,
    msgReadyLabel2b,
    msgReadyMemoComponents, 
    msgReadyMemoDir, 
    msgReadyMemoGroup,
    msgReadyMemoType, 
    msgRunEntryExec, 
    msgRunEntryShellExec, 
    msgSelectDirectory,
    msgSelectDirectoryLabel,
    msgSelectDiskLabel,
    msgSelectFolderLabel,
    msgSelectComponentsLabel, 
    msgSetupAborted,
    msgSetupAppRunningError,
    msgSetupAppTitle,
    msgSetupFileCorrupt,
    msgSetupFileCorruptOrWrongVer,
    msgSetupFileMissing,
    msgSetupLdrStartupMessage,
    msgSetupWindowTitle,
    msgSharedFileNameLabel,
    msgSharedFileLocationLabel,
    msgShowReadmeCheck,
    msgSourceDoesntExist,
    msgSourceIsCorrupted,
    msgStatusCreateDirs,
    msgStatusCreateIcons,
    msgStatusCreateIniEntries,
    msgStatusCreateRegistryEntries,
    msgStatusExtractFiles,
    msgStatusRegisterFiles,
    msgStatusSavingUninstall,
    msgStatusUninstalling,
    msgToUNCPathname,
    msgUninstallAppFullTitle,
    msgUninstallAppTitle,
    msgUninstallDataCorrupted,
    msgUninstalledAll,
    msgUninstalledMost,
    msgUninstallAppRunningError,
    msgUninstallNotFound,
    msgUninstallStatusLabel,
    msgUninstallUnknownEntry,
    msgUninstallUnsupportedVer,
    msgWelcomeLabel, //ignored by ISX but still present to support Default.isl
    msgWelcomeLabel1,
    msgWelcomeLabel2,
    msgWinVersionTooHighError,
    msgWinVersionTooLowError,
    msgWizardFinished,
    msgWizardInfoAfter,
    msgWizardInfoBefore,
    msgWizardInstalling,
    msgWizardLicense,
    msgWizardPassword,
    msgWizardReady,
    msgWizardSelectDir,
    msgWizardSelectComponents,
    msgWizardSelectProgramGroup,
    msgWizardUninstalling,
    msgWizardWelcome,
    msgYesRadio);

implementation

end.
