unit WizardClassic;

{
  Inno Setup
  Copyright (C) 1998-99 Jordan Russell
  For conditions of distribution and use, see LICENSE.TXT.

  Wizard form
}

interface

{$IFNDEF WIZARDCLASSIC}
  Please define WIZARDCLASSIC
{$ENDIF}

uses
  WinTypes, WinProcs, SysUtils, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, NewBevel, NewFCtrl, ExtCtrls,
  ChildFrm, Struct, NewCheckListBox, RichEditViewer;

type
  TWizardPage = (wpWelcome, wpPassword, wpLicense, wpInfoBefore, wpSelectDir,
    wpSelectComponents, 
    wpSelectProgramGroup, wpReady, wpInfoAfter, wpFinished);

  TWizardForm = class(TSetupChildForm)
    CancelButton: TButton;
    NextButton: TButton;
    BackButton: TButton;
    Notebook1: TNotebook;
    PicturePaintBox: TPaintBox;
    Bevel: TBevel;
    ClickLabel: TLabel;
    Notebook2: TNotebook;
    WelcomeLabel: TLabel;
    SelectFolderLabel: TLabel;
    DiskSpaceLabel: TLabel;
    DirEdit: TEdit;
    DirList: TNewDirectoryListBox;
    DriveList: TNewDriveComboBox;
    IconsLabel: TLabel;
    GroupEdit: TEdit;
    NoIconsCheck: TCheckBox;
    GroupList: TListBox;
    LicenseLabel1: TLabel;
    LicenseMemo: TRichEditViewer;
    LicenseLabel2: TLabel;
    LicenseIcon: TPaintBox;
    ReadmeBeforeIcon: TPaintBox;
    InfoBeforeLabel: TLabel;
    InfoBeforeMemo: TRichEditViewer;
    ReadmeAfterIcon: TPaintBox;
    InfoAfterLabel: TLabel;
    InfoAfterMemo: TRichEditViewer;
    FinishedLabel: TLabel;
    InfoBeforeClickLabel: TLabel;
    InfoAfterClickLabel: TLabel;
    YesRadio: TRadioButton;
    NoRadio: TRadioButton;
    ReadyLabel: TLabel;
    PasswordLabel: TLabel;
    PasswordEdit: TEdit;
    PasswordEditLabel: TLabel;
    SelectComponentsLabel: TLabel;
    ReadyMemo: TMemo;
    TypesCombo: TComboBox;
    ComponentsList: TNewCheckListBox;
    BeveledLabel: TStaticText;
    procedure NextButtonClick(Sender: TObject);
    procedure BackButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure DirListChange(Sender: TObject);
    procedure GroupListClick(Sender: TObject);
    procedure NoIconsCheckClick(Sender: TObject);
    procedure PicturePaintBoxPaint(Sender: TObject);
    procedure GroupEditChange(Sender: TObject);
    procedure SetupIconPaint(Sender: TObject);
    procedure TypesComboChange(Sender: TObject);
    procedure ComponentsListClickCheck(Sender: TObject);
    procedure ReadyMemoKeyPress(Sender: TObject; var Key: Char);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    DisableCloseQuery: Boolean;
    procedure ReadGroupList;
    procedure WMSysCommand (var Message: TWMSysCommand); message WM_SYSCOMMAND;
  public
    { Public declarations }
    CurPage: TWizardPage;
    OrigFinishedLabelWidth: Integer;
    PreviousAppDir: String;
    FirstRunCheckBox: TCheckBox; 
    PrevSelectedComponents, PrevDeselectedComponents: TStringList; 
    InitialSelectedComponents: TStringList; 
    InitialSetupTypeIndex: Integer;
    constructor Create (AOwner: TComponent); override;
    procedure ChangeFinishedLabel (const S: String);
    procedure ChangeReadyLabel (const S: String);
    procedure CreateRunAndIconCheckBoxes(RunCheckBoxes, IconCheckBoxes: TList);
    function GetSetupType: PSetupTypeEntry;
    procedure SetSelectedComponents(const SelectedComponents, DeselectedComponents: TStringList); 
    procedure SetSelectedComponentsFromType(const TypeName: String; OnlySelectFixedComponents: Boolean); 
    procedure GetSelectedComponents(Components: TStringList; const Descriptions: Boolean);
    procedure CurPageChanged;
    function SkipCurPage: Boolean;
  end;

var
  WizardForm: TWizardForm;

function FixLabel (const S: String): String;

implementation

uses
  ShlObj,
  Msgs, MsgIDs, Main, Install, CmnFunc, CmnFunc2,
  DDEInt, zlib;

{$R *.DFM}

{$I Wizard.inc}

end.
